This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1278803 - Review Request: godep - Dependency tool for go
Review Request: godep - Dependency tool for go
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
Depends On: 1272174
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 08:06 EST by Jan Chaloupka
Modified: 2016-02-07 01:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 12:59:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lsm5: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jan Chaloupka 2015-11-06 08:06:39 EST
Spec URL: https://jchaloup.fedorapeople.org/reviews/godep/godep.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/godep/godep-17-1.fc20.src.rpm

Description: Dependency tool for go

Fedora Account System Username: jchaloup

$ rpmlint godep-17-1.fc20.src.rpm godep-17-1.fc20.x86_64.rpm godep-devel-17-1.fc20.noarch.rpm godep-unit-test-devel-17-1.fc20.x86_64.rpm godep-debuginfo-17-1.fc20.x86_64.rpm
godep.x86_64: W: no-manual-page-for-binary godep
godep-devel.noarch: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
godep-unit-test-devel.x86_64: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
5 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 1 Jan Chaloupka 2015-11-06 08:08:32 EST
Notes: no Koji build as it depends on bz#1272174 which is currently on review. Locally it builds fine.
Comment 2 Lokesh Mandvekar 2015-11-06 09:43:39 EST
- package conforms to current golang packaging draft which includes generation of godep binary.
- license correct and valid

package approved.
Comment 3 Gwyn Ciesla 2015-11-06 10:37:26 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/godep
Comment 4 Fedora Update System 2015-11-09 07:20:28 EST
godep-27-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6b01d32ceb
Comment 5 Fedora Update System 2015-11-09 21:22:31 EST
godep-27-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update godep'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-61aa678b2b
Comment 6 Fedora Update System 2015-11-09 22:22:41 EST
godep-27-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update godep'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6b01d32ceb
Comment 7 Fedora Update System 2016-02-07 00:24:52 EST
godep-27-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-02-07 01:21:35 EST
godep-27-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.